slepc-3.10.1 2018-10-23
Report Typos and Errors

# SlepcConvMonitorCreate

Creates a SlepcConvMonitor context.

### Synopsis

    #include "slepcsys.h"
    PetscErrorCode SlepcConvMonitorCreate(PetscViewer viewer,PetscViewerFormat format,SlepcConvMonitor *ctx)

Collective on PetscViewer

### Input Parameters

| viewer | - the viewer where the monitor must send data
| format | - the format

### Output Parameter

| ctx | - the created context

### Notes

The created context is used for EPS, SVD, PEP, and NEP monitor functions that just print the iteration numbers at which convergence takes place (XXXMonitorConverged).

This function increases the reference count of the viewer so you can destroy the viewer object after this call.

### See Also

SlepcConvMonitorDestroy()

Location: src/sys/slepcutil.c
Index of all sys routines
Table of Contents for all manual pages
Index of all manual pages